Comments

102 Comments

works well for me

works well for me

works well for me

karma

works well for me

works well for me

karma

works well for me

karma

works well for me

works well for me

karma

Works well for me.

Works well for me

karma

Works well for me

Works well for me.

karma

Works well and fixes the CVE.

BZ#1928904 CVE-2021-23336 python: Web Cache Poisoning via urllib.parse.parse_qsl and urllib.parse.parse_qs by using a semicolon in query parameters
BZ#1928920 CVE-2021-23336 python3.8: python: Web Cache Poisoning via urllib.parse.parse_qsl and urllib.parse.parse_qs by using a semicolon in query parameters [fedora-all]
karma

Works well and fixes the CVE.

BZ#1928904 CVE-2021-23336 python: Web Cache Poisoning via urllib.parse.parse_qsl and urllib.parse.parse_qs by using a semicolon in query parameters
BZ#1928921 CVE-2021-23336 python3.9: python: Web Cache Poisoning via urllib.parse.parse_qsl and urllib.parse.parse_qs by using a semicolon in query parameters [fedora-all]
karma

Works well and fixes all mentioned CVEs.

BZ#1918168 CVE-2021-3177 python: stack-based buffer overflow in PyCArg_repr in _ctypes/callproc.c
BZ#1918666 CVE-2021-3177 python3.7: python: stack-based buffer overflow in PyCArg_repr in _ctypes/callproc.c [fedora-all]
BZ#1928904 CVE-2021-23336 python: Web Cache Poisoning via urllib.parse.parse_qsl and urllib.parse.parse_qs by using a semicolon in query parameters
BZ#1928919 CVE-2021-23336 python3.7: python: Web Cache Poisoning via urllib.parse.parse_qsl and urllib.parse.parse_qs by using a semicolon in query parameters [fedora-all]
karma

Works well and fixes all mentioned CVEs.

BZ#1918168 CVE-2021-3177 python: stack-based buffer overflow in PyCArg_repr in _ctypes/callproc.c
BZ#1918665 CVE-2021-3177 python3.6: python: stack-based buffer overflow in PyCArg_repr in _ctypes/callproc.c [fedora-all]
BZ#1928904 CVE-2021-23336 python: Web Cache Poisoning via urllib.parse.parse_qsl and urllib.parse.parse_qs by using a semicolon in query parameters
BZ#1928918 CVE-2021-23336 python3.6: python: Web Cache Poisoning via urllib.parse.parse_qsl and urllib.parse.parse_qs by using a semicolon in query parameters [fedora-all]

Works well for me. Good job!

I don't wanna be a trouble maker again but it does not work for me on EPEL 7:

# yum --enablerepo=epel-testing install tldr
…
Installed:
  tldr.noarch 0:1.2.0-3.el7                                                                   

Dependency Installed:
  libtirpc.x86_64 0:0.2.4-0.16.el7               python3.x86_64 0:3.6.8-18.el7               
  python3-libs.x86_64 0:3.6.8-18.el7             python3-pip.noarch 0:9.0.3-8.el7            
  python3-setuptools.noarch 0:39.2.0-10.el7      python3-termcolor.noarch 0:1.1.0-24.el7     
  python36-colorama.noarch 0:0.4.1-1.el7         python36-six.noarch 0:1.14.0-2.el7

# tldr sed
Traceback (most recent call last):
  File "/usr/bin/tldr", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3095, in <module>
    @_call_aside
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3079, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3108, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 570, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 888, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 774, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'argcomplete' distribution was not found and is required by tldr

Could you please test it and tell me what I'm doing wrong?

I am sorry, I had epel repo disabled. It works

BZ#1923250 Request for Epel build

The package fails to install:

Error: Problem: conflicting requests - nothing provides python3-colorama needed by tldr-1.2.0-1.el8.noarch - nothing provides python3.6dist(colorama) needed by tldr-1.2.0-1.el8.noarch

BZ#1923250 Request for Epel build